> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cogfoundry.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List executable assets

> Returns the caller's executable loomloom assets, including private templates and Market SkillBots.



## OpenAPI

````yaml /developer-reference/loomloom-api/openapi.json get /loom/v1/users/me/executables
openapi: 3.1.0
info:
  title: loomloom
  description: HTTP API for executing and managing loomloom AI work through CogFoundry.
  version: market-v1
  summary: ''
  contact: {}
servers:
  - url: https://loomloom.cogfoundry.ai
    description: CogFoundry production
security:
  - bearer: []
tags:
  - name: System
  - name: Creator Earnings
  - name: Creators
  - name: Creator Reviews
  - name: Input Assets
  - name: Market Listings
  - name: Market Runs
  - name: Models
  - name: Official Templates
  - name: Assets
  - name: Users
  - name: Runs
  - name: User Templates
paths:
  /loom/v1/users/me/executables:
    get:
      tags:
        - Assets
      summary: List executable assets
      description: >-
        Returns the caller's executable loomloom assets, including private
        templates and Market SkillBots.
      parameters:
        - name: pageSize
          in: query
          description: Page size. Default 100, max 500.
          required: false
          example: ''
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.assetsResponse'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth1: []
components:
  schemas:
    server.assetsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/server.executableAssetResponse'
    server.errorResponse:
      type: object
      properties:
        error:
          type: string
    server.executableAssetResponse:
      type: object
      properties:
        assetId:
          type: string
        assetType:
          type: string
        description:
          type: string
        inputSchemaSnapshot:
          type: string
        marketListingId:
          type: string
        marketListingVersionId:
          type: string
        name:
          type: string
        origin:
          type: string
        ownerUserId:
          type: integer
        pricingDescription:
          type: string
        pricingRuleVersion:
          type: string
        primaryOutputType:
          type: string
        status:
          type: string
        taskFixedFeeT:
          type: integer
        templateId:
          type: string
        templateVersionId:
          type: string
        updatedAtUnix:
          type: integer
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
    BearerAuth1:
      description: 'Use `Authorization: Bearer <api-token>`.'
      type: apiKey
      name: Authorization
      in: header

````